#2808 closed enhancement (fixed)

Conditionally provide rtems_interrupt_frame

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

Provide rtems_interrupt_frame only if CPU_ISR_PASSES_FRAME_POINTER is defined to TRUE.

Change History (5)

comment:1 Changed on Nov 11, 2016 at 10:08:04 AM by Sebastian Huber

Description: modified (diff)
Summary: Deprecate rtems_interrupt_frameConditionally provide rtems_interrupt_frame

Some CPU ports require CPU_Interrupt_frame due to CPU_ISR_PASSES_FRAME_POINTER defined to TRUE.

comment:2 Changed on Nov 18, 2016 at 7:00:30 AM by Sebastian Huber <sebastian.huber@…>

In 141e16d22538bc9f3f79466a774fdad3a9128533/rtems:

rtems: Conditionally define rtems_interrupt_frame

Update #2808.

comment:3 Changed on Dec 19, 2016 at 1:38:59 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.